Bug 967747 - "Organization Selection" appears on subscription-manager-gui when account has been assigned to default organization from SAM webUI.
"Organization Selection" appears on subscription-manager-gui when account has...
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Katello Bug Bin
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 04:40 EDT by qianzhan
Modified: 2017-06-26 16:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 16:39:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
assign default organization (122.53 KB, image/png)
2013-05-28 04:42 EDT, qianzhan
no flags Details
Organization Selection (167.05 KB, image/png)
2013-05-28 04:43 EDT, qianzhan
no flags Details
rhsm.log (24.67 KB, text/x-log)
2013-05-28 04:43 EDT, qianzhan
no flags Details

  None (edit)
Description qianzhan 2013-05-28 04:40:20 EDT
Description of problem:
"Organization Selection" appears on subscription-manager-gui when account has been assigned to default organization from SAM webUI.

Version-Release number of selected component (if applicable):
python-rhsm-1.1.8-1.el6.x86_64
subscription-manager-1.1.23-1.el6.x86_64
subscription-manager-firstboot-1.1.23-1.el6.x86_64
subscription-manager-gui-1.1.23-1.el6.x86_64
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-cli-1.2.1-12h.el6_3.noarch
katello-cli-common-1.2.1-12h.el6_3.noarch
katello-common-1.2.1.1-1h.el6_4.noarch
katello-configure-1.2.3.1-4h.el6_4.noarch
katello-glue-candlepin-1.2.1.1-1h.el6_4.noarch
katello-headpin-1.2.1.1-1h.el6_4.noarch
katello-headpin-all-1.2.1.1-1h.el6_4.noarch
katello-selinux-1.2.1-2h.el6_3.noarch
candlepin-0.7.24-1.el6_3.noarch
candlepin-selinux-0.7.24-1.el6_3.noarch
candlepin-tomcat6-0.7.24-1.el6_3.noarch
thumbslug-0.0.28.1-1.el6_4.noarch
thumbslug-selinux-0.0.28.1-1.el6_4.noarch

How reproducible:
always

Steps to Reproduce:
1. Config test client to register to SAM
[root@dhcp-65-26 ~]# cat /etc/rhsm/rhsm.conf
hostname = samserv.redhat.com   ---> IP:10.66.12.148
baseurl=https://samserv.redhat.com:8088
ca_cert_dir = /etc/rhsm/ca/
repo_ca_cert = %(ca_cert_dir)scandlepin-local.pem

2. More than 1 organizations has been created in SAM and assign user admin to a default organization such as ACME_Corporation, pls see attachment "assign default organization".

3.Register the client to SAM in CLI with admin account.
[root@dhcp-66-103-211 ~]# subscription-manager register 
Username: admin
Password: 
The system has been registered with id: f7fd2685-e7d1-4875-bfbb-6c8962fc8085 
[root@dhcp-66-103-211 ~]#

4.Unregister the system:

[root@dhcp-66-103-211 ~]# subscription-manager unregister
System has been un-registered.

5. Open subscription-manager-gui:
[root@dhcp-66-103-211 ~]# subscription-manager-gui

6. Register by subscription-manager-gui
Click [Register] button -> click [Next] button -> enter the account info of admin -> click [Register] button.

Actual results:
"Organization Selection" dialog appears, pls see attachment "Organization Selection".

Expected results:
There is no need to select organization for the admin account has been assigned to a default org, just as register in CLI in step 3.

Additional info:
rhsm.log is attached in "rhsm.log"
Comment 1 qianzhan 2013-05-28 04:42:29 EDT
Created attachment 753795 [details]
assign default organization
Comment 2 qianzhan 2013-05-28 04:43:10 EDT
Created attachment 753796 [details]
Organization Selection
Comment 3 qianzhan 2013-05-28 04:43:40 EDT
Created attachment 753797 [details]
rhsm.log
Comment 6 William Poteat 2014-01-17 17:49:52 EST
the user's default org information is stored by katello. This bug is most likely cause by katello asking candlepin for the data that was not supplied to it.
Comment 7 Bryan Kearney 2014-03-19 16:40:18 EDT
Moving bugs from 7.0 to 7.1
Comment 9 William Poteat 2014-05-13 14:43:01 EDT
Subscription manager is not to blame. The SAM instance is not returning the default org.
Comment 10 Bryan Kearney 2014-07-30 15:21:07 EDT
Acking 7.1
Comment 11 Devan Goodwin 2014-10-17 09:48:00 EDT
Summary of this situation, subscription-manager makes an API call for the orgs an owner can register to, if we get just one we use it, if we get multiple we prompt.

This concept of a default org is not something we have, but if SAM wishes to hide this screen when a default org is in play, it should only return that org. However be cautioned that in the GUI, this will *remove* the ability to register to other orgs. You would still be able to on the CLI.

Subman working as expected here, re-aligning to SAM but I suspect this should be closed.
Comment 12 Bryan Kearney 2017-06-26 16:39:27 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.